Skip to main content
GET
Get episode watch target

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Path Parameters

episode_request_id
string
required

Episode request to watch.

Pattern: ^ereq_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

Successful Response

Live or replay target for an episode request visible to the caller.

id
string
required

Episode request represented by this target.

status
enum<string>
required

Current execution state.

Available options:
pending,
submitted,
running,
completed,
failed,
cancelled
live_url
string | null

URL for watching the live episode.

replay_url
string | null

URL for watching the replay.

coworld_id
string | null

Coworld version used by the episode request.

coworld_name
string | null

Coworld name.

coworld_version
string | null

Coworld version label.

episode_id
string<uuid> | null

Recorded episode, when execution has completed.